Telemetry data from Prometheus. If start and end is set to millis, histogram response will 'extends bounds'
curl --request POST \
--url https://api.example.com/api/v1/tenant/telemetry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric": "haas_interceptor_messages_succeeded_total",
"start": "-1d",
"step": "1h",
"tags": {
"chain": [
"ethereum",
"vechain"
],
"type": [
"TRANSACTION"
]
},
"end": "now"
}
'import requests
url = "https://api.example.com/api/v1/tenant/telemetry"
payload = {
"metric": "haas_interceptor_messages_succeeded_total",
"start": "-1d",
"step": "1h",
"tags": {
"chain": ["ethereum", "vechain"],
"type": ["TRANSACTION"]
},
"end": "now"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metric: 'haas_interceptor_messages_succeeded_total',
start: '-1d',
step: '1h',
tags: {chain: ['ethereum', 'vechain'], type: ['TRANSACTION']},
end: 'now'
})
};
fetch('https://api.example.com/api/v1/tenant/telemetry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ts": 123,
"bucket": {}
}
]
}Tenant Route
Telemetry data from Prometheus. If start and end is set to millis, histogram response will 'extends bounds'
POST
/
api
/
v1
/
tenant
/
telemetry
Telemetry data from Prometheus. If start and end is set to millis, histogram response will 'extends bounds'
Authorizations
Authentication
Body
application/json
Metric for the MetricsQL expression
Minimum string length:
1Example:
"haas_interceptor_messages_succeeded_total"
Starting timestamp of the time range for query evaluation, string date math or ms. Example: -1d, 1725656400000
Example:
"-1d"
The interval between data points
Example:
"1h"
Tags of the MetricsQL expression
Show child attributes
Show child attributes
Example:
{
"chain": ["ethereum", "vechain"],
"type": ["TRANSACTION"]
}
Ending timestamp of the time range for query evaluation, string date math or ms. If the end isn’t set, then the end is automatically set to the current time. Example: now, 1726229909672
Example:
"now"
Response
200 - application/json
OK
Response data
Show child attributes
Show child attributes
⌘I